---
title: "Get the list of members"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-members"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org_id-members"
method: "GET"
path: "/v2/organizations/{org_id}/members"
operation_id: "get-v2-organizations-org_id-members"
authorization: "bearer"
---

# Get the list of members

`GET /v2/organizations/{org_id}/members`

Retrieve all members of the organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filters:email` | string | No | Filter by email. Format: `?filters=[{"email":{"type": "=", "value": user_email}}]` (email should be encoded as url) |
| `filter:type` | string | No | Filter by organization type. Possible values: active, pending, declined. Format: ?filters=[{"status":{"type": "=", "value":"active/pending/declined"}}] |
| `sort:email` | string | No | Sort results in ascending or descending order. Possible values: asc/desc. Format: `?sort[email]=asc` |

## Responses

### 200

Returns the list of organization members in case of successful response. Returns an error when:

* If user does not have active trial professional or enterprise subscription, "code": 12003002. Message: "Access denied for current subscription."
* If user is not the moderator or admin of organization, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If org is not active or does not exist at all, "code": 12003001. Message: "Organization `92XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."
* Request with invalid filter value or format, "code": 12006006. Message: "Unsupported filter mail was given."; 12004018 - "The `email` filter value should be of type string"; 12004017 - "The `email` filter expression should be equal to `=`"; 12004019 - "Invalid filter format, filter must have `type` and `value` fields".

**Example** (`example-1`)

```json
{
  "data": [
    {
      "id": "d2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "signnow.user@email.com",
      "status": "active",
      "last_login": {
        "ip": "2X.XX.XXX.X",
        "created_at": 1592481155,
        "last_login": 1603199032,
        "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36",
        "application": "Sample Application"
      }
    },
    {
      "id": "afXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "another.signnow.user@email.com",
      "status": "pending",
      "last_login": {
        "ip": "1X.XX.XXX.X",
        "created_at": 1592481156,
        "last_login": 1603199033,
        "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36",
        "application": "Sample Application 2"
      }
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/members" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-members*
